CREATE TABLE `ML_RIPROCESSAMENTO_PERIODO` (
  `ID_ML_RIPROCESSAMENTO_PERIODO` bigint(20) NOT NULL AUTO_INCREMENT,
  `ID_ML_RIPROCESSAMENTO` bigint(20) NOT NULL,
  `DATA_ULTIMA_MODIFICA` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `PERIODO` varchar(10) NOT NULL,
  `DATA_FINE_PERIODO` datetime NOT NULL,
  `DATA_RICHIESTA_SCHEMI` datetime DEFAULT NULL,
  `UUID_RICHIESTA_SCHEMI` varchar(50) DEFAULT NULL,
  `DATA_RICEZIONE_SCHEMI` datetime DEFAULT NULL,
  `DATA_RICHIESTA_MINICUBO` datetime DEFAULT NULL,
  `UUID_RICHIESTA_MINICUBO` varchar(50) DEFAULT NULL,
  `DATA_RICEZIONE_MINICUBO` datetime DEFAULT NULL,
  `DATA_AVVIO_LAVORAZIONE` datetime DEFAULT NULL,
  `NUMERO_RICHIESTE_SCHEMI` int(11) NOT NULL DEFAULT '0',
  `NUMERO_RICHIESTE_MINICUBO` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID_ML_RIPROCESSAMENTO_PERIODO`),
  KEY `fk_ML_RIPROCESSAMENTO_PERIODO__ML_RIPROCESSAMENTO` (`ID_ML_RIPROCESSAMENTO`),
  CONSTRAINT `fk_ML_RIPROCESSAMENTO_PERIODO__ML_RIPROCESSAMENTO` FOREIGN KEY (`ID_ML_RIPROCESSAMENTO`) REFERENCES `ML_RIPROCESSAMENTO` (`ID_ML_RIPROCESSAMENTO`) ON DELETE NO ACTION ON UPDATE NO ACTION
);

commit;